-- Create PgBouncer Auth File

COPY (
SELECT '"' || rolname || '" "' || coalesce(rolpassword, '') || '"'
  FROM pg_authid
)
TO '/etc/pgbouncer/userlist.txt';

-- Create and test pgpool write redirection:

CREATE TABLE foo (bar INTEGER);
INSERT INTO foo SELECT generate_series(1, 100);
DELETE FROM foo WHERE bar BETWEEN 1 AND 100;

-- This function would break the write/read balancing.

CREATE FUNCTION test_insert ()
RETURNS VOID AS
$$
  INSERT INTO foo SELECT generate_series(1, 100);
$$ LANGUAGE SQL;
